Get auto-generated log-pattern insights (error spikes, new errors, silent sources).
GET
/logs/insights
const url = 'https://api.siteqwality.com/logs/insights';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.siteqwality.com/logs/insights \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Insights
Media type application/json
object
insights
required
Array<object>
object
id
required
string
insight_type
required
string
severity
required
string
title
required
string
detail
required
string
filters
required
object
level
array | null
source
string | null
search
string | null
start_time
string | null
end_time
string | null
window_start
required
string
window_end
required
string
generated_at
required
string
Example
{ "insights": [ { "insight_type": "error_spike", "severity": "info" } ]}Missing or invalid authentication
Internal server error